# geos::index::bintree::Node Class Reference

A node of a Bintree. More...

`#include <Node.h>`

Inheritance diagram for geos::index::bintree::Node:

List of all members.

## Public Member Functions

| Node (Interval *newInterval, int newLevel)
Interval * | getInterval ()
Node * | getNode (Interval *searchInterval)
NodeBase * | find (Interval *searchInterval)
void | insert (Node *node)

## Static Public Member Functions

static Node * | createNode (Interval *itemInterval)
static Node * | createExpanded (Node *node, Interval *addInterval)

## Protected Member Functions

bool | isSearchMatch (Interval *itemInterval)

## Detailed Description

A node of a Bintree.

The documentation for this class was generated from the following file:

- index/bintree/Node.h